#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.7
visibility:           public
id:                   hOpenPGP-2.9.7-LrFqosHc66AGJDjJdePJKT
key:                  hOpenPGP-2.9.7-LrFqosHc66AGJDjJdePJKT
license:              MIT
copyright:            2012-2021  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  e50efc7dacac09f957f73069e36f1cd8
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hOpenPGP-2.9.7
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hOpenPGP-2.9.7
hs-libraries:         HShOpenPGP-2.9.7-LrFqosHc66AGJDjJdePJKT
depends:
    aeson-1.5.6.0-H6kLokBQSerXHqNAeEUXq
    asn1-encoding-0.9.6-GnT2NuHu6iIEmiYrIoIdz3
    attoparsec-0.14.4-Jbblo5DY5XM1sqHf0aRDlm base-4.15.1.0
    base16-bytestring-1.0.2.0-DTTVLt0DmrIF17GrfaErB9
    bifunctors-5.5.11-Ffv4t0WfXCs5XgWWQX0Lry binary-0.8.8.0
    binary-conduit-1.3.1-1uz1o9PSGH5m27qkDpfPM bytestring-0.10.12.1
    bz2-1.0.1.0-ILrZk4c6argAfr5JerLHUH
    conduit-1.3.4.2-IuL5yhpIJNmFyS5VF1zn6G
    conduit-extra-1.3.5-GkwyoSitqQVLsGUYcOOLl0 containers-0.6.4.1
    crypto-cipher-types-0.0.9-5N4axHKyRQVIupbgQzXmgc
    cryptonite-0.29-Ba9oAGyrREDBUpwnQ7MIwx
    errors-2.3.0-AMf4swi6TfI2g0Jb1DBx7t
    hashable-1.4.0.0-C2L4d9qsiUqGAQXABPs7JE
    incremental-parser-0.5.0.2-FPqzEZ4gfBTIpUGpmghKSS
    ixset-typed-0.5-JIDIBCdfe4IH3KHykJouD8
    lens-5.1-2jdCE0fTMBz4qH1VohY7PO
    memory-0.16.0-FBfJqtDB5FTKsDjiBBMycd
    monad-loops-0.4.3-C4VZ1LczQKA9hVl8DS9fX
    nettle-0.3.0-JKs1V88W3oPKG1OO8yAu5o
    network-uri-2.6.4.1-GEY7SECjlxDAYYfWfATglX
    openpgp-asciiarmor-0.1.2-EMMj76ljEbB1XjK2UNttW0
    prettyprinter-1.7.1-M8ravPRGxZ65hGHhWTtg7
    resourcet-1.2.4.3-5vP8ZnipJmPLEQm1gCeFbz
    split-0.2.3.4-5CfD0p5q0GsHNZNytFC40B text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    transformers-0.5.6.2 unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.16.0-3GDkwMd2NkM63k39VNtCRt
    zlib-0.6.2.3-DbzxCCDieRp7iFbOtSe3yb

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

